import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import './chart-sidebar.scss';
export default class ChartSidebar {
    private table;
    private _root;
    private _contentContainer;
    constructor(table: OnesTable);
    destroy(): void;
    update(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): void;
    root(): HTMLElement;
    private handleClose;
}
